# FFMpeg\FFProbe\DataMapping\Format | PHP-FFMpeg API

- Classes
- Namespaces
- Interfaces
- Traits
- Index

PHP-FFMpeg API
Class

# FFMpeg\FFProbe\DataMapping\Format

class Format extends AbstractData

## Methods

| __construct(array $properties) | from AbstractData
Boolean | has(string $property) Returns true if data has property. | from AbstractData
mixed | get(string $property) Returns the property value given its name. | from AbstractData
AbstractData | set(string $property, mixed $value) Sets the property value given its name. | from AbstractData
array | keys() Returns all property names. | from AbstractData
array | all() Returns all properties and their values. | from AbstractData
| count() {@inheritdoc} | from AbstractData

## Details

###
in AbstractData at line 20
`public __construct(array $properties)`

#### Parameters

array | $properties |

###
in AbstractData at line 31
`public Boolean has(string $property)`

Returns true if data has property.

#### Parameters

string | $property |

#### Return Value

Boolean |

###
in AbstractData at line 44
`public mixed get(string $property)`

Returns the property value given its name.

#### Parameters

string | $property |

#### Return Value

mixed |

#### Exceptions

InvalidArgumentException | In case the data does not have the property

###
in AbstractData at line 61
`public AbstractData set(string $property, mixed $value)`

Sets the property value given its name.

#### Parameters

string | $property |
mixed | $value |

#### Return Value

AbstractData |

###
in AbstractData at line 73
`public array keys()`

Returns all property names.

#### Return Value

array |

###
in AbstractData at line 83
`public array all()`

Returns all properties and their values.

#### Return Value

array |

###
in AbstractData at line 91
`public count()`

{@inheritdoc}